#!/bin/sh
NAME="epic"
VERSION=0.6.35
TAG="testing_0_6_35"

echo "Exporting from CVS..."
mkdir $NAME-$VERSION
pushd $NAME-$VERSION >/dev/null
for m in \
		org.epic.feature.main \
		org.epic.debug \
		org.epic.doc \
		org.epic.lib \
		org.epic.perleditor \
		org.epic.regexp \
		org.epic.source; do
	cvs -z3 -d:pserver:anonymous@e-p-i-c.cvs.sourceforge.net:/cvsroot/e-p-i-c export -r $TAG $m
	if [ $? -eq 1 ]; then
		sleep 10
		cvs -z3 -d:pserver:anonymous@e-p-i-c.cvs.sourceforge.net:/cvsroot/e-p-i-c export -r $TAG $m
		if [ $? -eq 1 ]; then 
			echo "ERROR: There was a problem checking out module: $m"
			exit 1
		fi
	fi 
done
popd >/dev/null

# jettison cvs gumph and empty files
find $NAME-$VERSION -name .cvs* | xargs rm 
rm $NAME-$VERSION/org.epic.source/src/.dummy.txt

# fix stray executable permissions
find $NAME-$VERSION -name *.gif | xargs chmod -x
find $NAME-$VERSION -name *.java | xargs chmod -x

echo "Creating tarball '$NAME-$VERSION.tar.gz'..."
tar -czf $NAME-$VERSION.tar.gz $NAME-$VERSION
